net.i2p.addressbook

## Class Servlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.i2p.addressbook.Servlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class Servlet
      extends HttpServlet

  A wrapper for addressbook to allow it to be started as a web application. This was a GenericServlet, we make it an HttpServlet solely to provide a hook for SusiDNS to wake us up when the subscription list changes.
  Author:
    Ragnarok
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Servlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(ServletConfig config)`
    `void` | `service(HttpServletRequest request, HttpServletResponse response)` Hack to allow susidns to kick the daemon when the subscription list changes.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Servlet

          public Servlet()

  - ### Method Detail

    - #### service

          public void service(HttpServletRequest request,
                     HttpServletResponse response)
                       throws IOException

      Hack to allow susidns to kick the daemon when the subscription list changes. URL must be /addressbook/ with wakeup param set, and nonce param set from system property. (non-Javadoc) see javax.servlet.Servlet#service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)
      Overrides:
        `service` in class `HttpServlet`
      Throws:
        `IOException`

    - #### init

          public void init(ServletConfig config)

      Specified by:
        `init` in interface `Servlet`
      Overrides:
        `init` in class `GenericServlet`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Servlet`
      Overrides:
        `destroy` in class `GenericServlet`